## ros-indigo-stdr-parser 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(stdr_parser)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  roslib
  stdr_msgs
  cmake_modules
)

set(CMAKE_BUILD_TYPE Release)

find_package(PkgConfig)
pkg_check_modules(NEW_YAMLCPP yaml-cpp>=0.5)
pkg_check_modules(XML libxml-2.0)
if(NEW_YAMLCPP_FOUND)
  add_definitions(-DHAVE_NEW_YAMLCPP)
endif(NEW_YAMLCPP_FOUND)


include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${TinyXML_INCLUDE_DIRS}
)

find_package(TinyXML REQUIRED)

catkin_package(
  INCLUDE_DIRS 
    include
  LIBRARIES
    stdr_parser
  CATKIN_DEPENDS
    roscpp
    roslib
    stdr_msgs
  DEPENDS
    TinyXML
)

######################### Stdr parser ##################################
add_library(stdr_parser 
  src/stdr_parser.cpp
  src/stdr_parser_validator.cpp
  src/stdr_parser_msg_creator.cpp
  src/stdr_parser_xml_file_writer.cpp
  src/stdr_parser_yaml_file_writer.cpp
  src/stdr_xml_parser.cpp
  src/stdr_yaml_parser.cpp
  src/stdr_parser_node.cpp
  src/stdr_parser_specs.cpp
  src/stdr_parser_tools.cpp
)
add_dependencies(stdr_parser ${stdr_msgs_EXPORTED_TARGETS}) # wait for stdr_msgs to be build
target_link_libraries(stdr_parser 
  ${catkin_LIBRARIES} ${TinyXML_LIBRARIES}
  yaml-cpp
)

install(TARGETS 
  stdr_parser
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-indigo-stdr-parser (0.3.2-0trusty) trusty; urgency=high

  * Fix cmakes, no more cmake warnings

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-stdr-parser (0.3.1-0trusty) trusty; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-indigo-stdr-parser (0.3.0-0trusty) trusty; urgency=high

  * Migrate to package format 2
  * Refactoring on parser node destruction (#186 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/pull/186>)
  * Allow loading local/custom resource files (#178 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/178>)
  * Fix bug on footprint loading (#171 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/171>)
  * Added kinematic model noise parameters support

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-indigo-stdr-parser (0.2.0-0trusty) trusty; urgency=high

  * Fixed #148 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/148>
  * tinyxml frees the memory itself (http://tinyxml.cvs.sourceforge.net/viewvc/tinyxml/tinyxml/tinyxml.cpp?revision=1.98&view=markup) so nothiing more to do. Closes #111 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/111>
  * Fixed partially the memory release of parser
  * Parser support for new sensors. (thermal, sound, CO2, rfid)
  * Fixed messageToFile, remains messageToXmlElement
  * More support for YAML-CPP 0.5+

 -- Chris Zalidis <zalidis@gmail.com>  Fri, 25 Jul 2014 07:00:00 -0000

ros-indigo-stdr-parser (0.1.3-0trusty) trusty; urgency=high

  * Load and save robot in robot creator works
  * Add points parsing for footprints
    This adds support for parsing a list of points for footprints:
    * Allow multiple copies of the point tag ( only used in footprints )
    * Add a parser specialization for geometry_msgs::Point
    * Parse points if they appear in a footprint

 -- Chris Zalidis <zalidis@gmail.com>  Tue, 25 Mar 2014 07:00:00 -0000

ros-indigo-stdr-parser (0.1.2-0trusty) trusty; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Sun, 09 Mar 2014 08:00:00 -0000

ros-indigo-stdr-parser (0.1.1-0trusty) trusty; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Mon, 10 Feb 2014 08:00:00 -0000

ros-indigo-stdr-parser (0.1.0-0trusty) trusty; urgency=high

  * first public release for Hydro

 -- Chris Zalidis <zalidis@gmail.com>  Thu, 06 Feb 2014 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-stdr-parser
Section: misc
Priority: extra
Maintainer: Chris Zalidis <zalidis@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, libyaml-cpp-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-stdr-msgs
Homepage: http://stdr-simulator-ros-pkg.github.io
Standards-Version: 3.9.2

Package: ros-indigo-stdr-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, libyaml-cpp-dev, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-stdr-msgs
Description: Provides a library to STDR Simulator, to parse yaml and xml description files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-stdr-parser//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
